githubEdit

Set to Heat Mode

POST /thermostats/heat β‡’ { action_attempt }

Sets a specified thermostatarrow-up-right to heat modearrow-up-right.

Request

await seam.thermostats.heat({
  device_id: "123e4567-e89b-12d3-a456-426614174000",
  heating_set_point_celsius: 25,
});

Response

{
  "action_attempt_id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "pending",
  "action_type": "SET_HEAT"
}

Request Parameters

device_id

Type: string Required: Yes

ID of the desired thermostat device.


heating_set_point_celsius

Type: number Required: No

Desired heating set point in Β°C. You must set one of the heating_set_point parameters.


heating_set_point_fahrenheit

Type: number Required: No

Desired heating set point in Β°F. You must set one of the heating_set_point parameters.


Return Type

action_attempt

Last updated

Was this helpful?